<template>
  <v-navigation-drawer app clipped left width="240px" mobile-break-point="960px">
    <v-text-field
      dense
      full-width
      single-line
      clearable
      hide-details
      prepend-inner-icon="mdi-magnify"
    ></v-text-field>
    <v-divider class="mx-4"></v-divider>
    <div class="pa-2 mt-4 body-2 font-weight-light">OneDrive</div>
    <v-list>
      <v-list-item-group
        v-model="menuSelected"
        mandatory
        color="indigo lighten-1"
        active-class="border-left"
      >
        <v-list-item v-for="(item, index) in menuLeft" :key="index">
          <v-list-item-content>
            <v-list-item-title v-text="item.name"></v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-item-group>
    </v-list>
  </v-navigation-drawer>
</template>
<script>
import { mapGetters } from "vuex";
export default {
  data:()=>({
    menuSelected:0,
  }),
  computed: {
    ...mapGetters(["navRight", "menuLeft",])
  }
};
</script>

<style>
.border-left {
  border-left: #5c6bc0 2px solid;
}
</style>